8059000: hgforest: pass options to serve command
authorihse
Fri, 03 Feb 2017 14:34:00 +0100
changeset 43387 0fa3d82acf45
parent 43386 df350c85390b
child 43388 509c3ebb5c97
8059000: hgforest: pass options to serve command Reviewed-by: erikj Contributed-by: Michael Duigou <openjdk@duigou.org>
common/bin/hgforest.sh
--- a/common/bin/hgforest.sh	Fri Feb 03 14:32:38 2017 +0100
+++ b/common/bin/hgforest.sh	Fri Feb 03 14:34:00 2017 +0100
@@ -309,8 +309,8 @@
 
       echo "serving root repo ${serving}" > ${status_output}
 
-      echo "hg${global_opts} serve" > ${status_output}
-      (PYTHONUNBUFFERED=true hg${global_opts} serve -A ${status_output} -E ${status_output} --pid-file ${tmp}/serve.pid --web-conf ${tmp}/serve.web-conf; echo "$?" > ${tmp}/serve.pid.rc ) 2>&1 &
+      echo "hg${global_opts} serve ${@}" > ${status_output}
+      (PYTHONUNBUFFERED=true hg${global_opts} serve -A ${status_output} -E ${status_output} --pid-file ${tmp}/serve.pid --web-conf ${tmp}/serve.web-conf "${@}"; echo "$?" > ${tmp}/serve.pid.rc ) 2>&1 &
     ) 2>&1 | sed -e "s@^@serve:   @" > ${status_output}
   ) &
 else